Subject: bug#14300: 24.3; comint-dynamic-complete-functions breaks

From: Leo Liu <[email-masked]>
Date: Mon, 29 Apr 2013 14:39:10 +0800

This looks like a regression to me.

The semantics of comint-dynamic-complete-functions has changed between
emacs-24 and previous releases.

Previously entries are tried one after another to perform completion
i.e. actually perform the completion.

With the new semantics it only does the first one because it will always
(99% cases) succeed (getting the completion-table nearly always
succeeds).

This is unfortunate because a lot of modes rely on the previous
behaviour to provide rich completions for comint based modes.

I noticed this bug because file completion no longer works in
octave-mode.

Leo